Skip to main content
GET
/
posts
List posts
curl --request GET \
  --url https://api.marketordie.io/v1/posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "channel": "<string>",
      "posts": [
        {
          "text": "<string>"
        }
      ],
      "scheduled_for": "2023-11-07T05:31:56Z",
      "published_urls": [
        "<string>"
      ],
      "error": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Your API key as a bearer token: Authorization: Bearer mod_live_…. (You can also send it as x-api-key.)

Query Parameters

status
enum<string>

Filter by status.

Available options:
draft,
scheduled,
publishing,
published,
failed,
canceled
limit
integer
default:25

Page size (1–100).

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip.

Required range: x >= 0

Response

OK

data
object[]
pagination
object